#include "Data.h"

void createData(const std::string& filepath) {
	srand(time(nullptr));
	std::ofstream file(filepath + ".txt");
	if (!file)
		throw FileException(1);
	for (int i = 0; i < 100; ++i) {
		int n = rand() % 101 - 50;
		file << n << "\n";
	}
}

void createDataContainer(const std::string& filepath) {
	srand(time(nullptr));
	std::ofstream file(filepath + ".txt");
	if (!file)
		throw FileException(1);
	std::vector<int> cont(100);
	auto f = []() {
		return rand() % 101 - 50;
	};
	std::generate(cont.begin(), cont.end(), f);
	std::copy(cont.begin(), cont.end(), std::ostream_iterator<int>(file, " "));
}